Errors with e-Newsletter Plugin

I get this error when attempting to send to a list of 378.

Warning: Missing argument 2 for wpdb::prepare(), called in /home/nkwild/public_html/wp/wp-content/plugins/e-newsletter/email-newsletter-files/class.functions.php on line 588 and defined in /home/nkwild/public_html/wp/wp-includes/wp-db.php on line 990

Warning: Cannot modify header information - headers already sent by (output started at /home/nkwild/public_html/wp/wp-includes/wp-db.php:990) in /home/nkwild/public_html/wp/wp-includes/pluggable.php on line 876

Now, the interesting part...

If I uncheck the "Don't send to people who've already received this:" box it appears to work.

Any hints on what's doing this?

I have no clue what changed. It's the ONLY PLUGIN BEING USED and Wordpress is at 3.5.

And, now THIS ERROR on my dashboard:
Warning: Missing argument 2 for wpdb::prepare(), called in /home/nkwild/public_html/wp/wp-content/plugins/e-newsletter/email-newsletter-files/class.functions.php on line 588 and defined in /home/nkwild/public_html/wp/wp-includes/wp-db.php on line 990

I've googled and found this:
http://make.wordpress.org/core/2012/12/12/php-warning-missing-argument-2-for-wpdb-prepare/

Any help would be greatly appreciated.

Thanks,
KenBosh

http://nkwildones.org/wp